Linux Btrfs filesystem development
 help / color / mirror / Atom feed
* [PATCH] btrfs/282: skip test if /var/lib/btrfs isnt writable
@ 2023-08-24 23:47 Darrick J. Wong
  2023-08-29  7:50 ` Anand Jain
  2023-09-01 19:36 ` Zorro Lang
  0 siblings, 2 replies; 6+ messages in thread
From: Darrick J. Wong @ 2023-08-24 23:47 UTC (permalink / raw)
  To: Zorro Lang; +Cc: fstests, linux-btrfs, anand.jain, fdmanana

From: Darrick J. Wong <djwong@kernel.org>

I run fstests in a readonly container, and accidentally uninstalled the
btrfsprogs package.  When I did, this test started faililng:

--- btrfs/282.out
+++ btrfs/282.out.bad
@@ -1,3 +1,7 @@
 QA output created by 282
 wrote 2147483648/2147483648 bytes at offset 0
 XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
+WARNING: cannot create scrub data file, mkdir /var/lib/btrfs failed: Read-only file system. Status recording disabled
+WARNING: failed to open the progress status socket at /var/lib/btrfs/scrub.progress.3e1cf8c6-8f8f-4b51-982c-d6783b8b8825: No such file or directory. Progress cannot be queried
+WARNING: cannot create scrub data file, mkdir /var/lib/btrfs failed: Read-only file system. Status recording disabled
+WARNING: failed to open the progress status socket at /var/lib/btrfs/scrub.progress.3e1cf8c6-8f8f-4b51-982c-d6783b8b8825: No such file or directory. Progress cannot be queried

Skip the test if /var/lib/btrfs isn't writable, or if /var/lib isn't
writable, which means we cannot create /var/lib/btrfs.

Signed-off-by: Darrick J. Wong <djwong@kernel.org>
---
 tests/btrfs/282 |    7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/tests/btrfs/282 b/tests/btrfs/282
index 980262dcab..395e0626da 100755
--- a/tests/btrfs/282
+++ b/tests/btrfs/282
@@ -19,6 +19,13 @@ _wants_kernel_commit eb3b50536642 \
 # We want at least 5G for the scratch device.
 _require_scratch_size $(( 5 * 1024 * 1024))
 
+# Make sure we can create scrub progress data file
+if [ -e /var/lib/btrfs ]; then
+	test -w /var/lib/btrfs || _notrun '/var/lib/btrfs is not writable'
+else
+	test -w /var/lib || _notrun '/var/lib/btrfs cannot be created'
+fi
+
 _scratch_mkfs >> $seqres.full 2>&1
 _scratch_mount
 

^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-09-02  5:46 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-08-24 23:47 [PATCH] btrfs/282: skip test if /var/lib/btrfs isnt writable Darrick J. Wong
2023-08-29  7:50 ` Anand Jain
2023-08-29  9:53   ` Anand Jain
2023-09-01 19:36 ` Zorro Lang
2023-09-02  0:40   ` Qu Wenruo
2023-09-02  5:46     ` Zorro Lang

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox